# Specfile for CDR-Compat

%define name	ksm-cdr-compat
%define version	1.0.0
%define release	0.0.4
%define _arch	noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _bindir		/usr/local/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/man/man1
%define _man3dir	/usr/local/man/man3
%define _man7dir	/usr/local/man/man7
%define _man8dir	/usr/local/man/man8
%define _docdir		/usr/local/share/doc/packages/%{name}

Summary:	Compatibility package for CD/DVD handling
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Productivity/Multimedia/CD/Other
Source:		%{name}.tgz
URL:		http://www.kaesman.de/
BuildArch:	%{_arch}
Requires:	cdda2wav,cdrecord,mkisofs
Provides:	cdrecord-compatibility
#Conflicts:	simpled,libsample >= 1.0.0
#Obsoletes:	mysampled

%description
This package is a Compatibility package for CD/DVD handling.
It enables modern programs to run in an old environment.

%prep
#% setup
%{__tar} -xpzf %{_srcfile}

%build
#% configure or ./configure
#make CFLAGS="$RPM_OPT_FLAGS"

%install
%{__rm} -rf $RPM_BUILD_ROOT
#% makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

%files
#% defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#% config(noreplace) %{_confdir}/sample.conf

#% config %{_confdir}/sample.conf
#% config %{_scnfdir}/sample

#% attr(744,root,root)/%{_rcdir}/sampleserver

#% attr(755,root,root)%{_bindir}/sample
#% attr(744,root,root)%{_bindir}/sampled

%{_datadir}/RELEASE
%{_datadir}/VERSION

#/usr/share/applications/sample.desktop
#% {_icondir}/16x16/apps/sample.png
#% {_icondir}/22x22/apps/sample.png
#% {_icondir}/32x32/apps/sample.png
#% {_icondir}/48x48/apps/sample.png
#% {_icondir}/64x64/apps/sample.png
#% {_icondir}/128x128/apps/sample.png
#/usr/share/pixmaps/sample.png

#% docdir %{_man1dir}
#% {_man1dir}/sample.1.gz

#% docdir %{_man8dir}
#% {_man8dir}/sampled.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
#% {_docdir}/README.de

#-----------------------------------------------------------------------------
#% pre

#-----------------------------------------------------------------------------
%post
if [ -e /usr/bin/cdda2wav ] && [ ! -e /usr/bin/icedax ]; then
	ln -s /usr/bin/cdda2wav /usr/bin/icedax
fi
if [ -e /usr/bin/mkisofs ] && [ ! -e /usr/bin/genisoimage ]; then
	ln -s /usr/bin/mkisofs /usr/bin/genisoimage
fi
if [ -e /usr/bin/readcd ] && [ ! -e /usr/bin/readom ]; then
	ln -s /usr/bin/readcd /usr/bin/readom
fi
if [ -e /usr/bin/cdrecord ] && [ ! -e /usr/bin/wodim ]; then
	ln -s /usr/bin/cdrecord /usr/bin/wodim
fi
exit 0

#-----------------------------------------------------------------------------
#% preun

#-----------------------------------------------------------------------------
%postun
if [ ! -e %{_docdir}/README ]; then			# remove package
	if [ -L /usr/bin/icedax ]; then
		rm /usr/bin/icedax
	fi
	if [ -L /usr/bin/genisoimage ]; then
		rm /usr/bin/genisoimage
	fi
	if [ -L /usr/bin/readom ]; then
		rm /usr/bin/readom
	fi
	if [ -L /usr/bin/wodim ]; then
		rm /usr/bin/wodim
	fi
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
#else							# upgrade package
fi
exit 0

%changelog
* Wed Oct 01 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.0-0.0.4
- The docu of the package has been revised.

* Mon Apr 02 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.0.3
- The release naming scheme has changed ('.ksm' is removed).

* Mon Jan 03 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.0.3.ksm
- The package name has changed to avoid conflicts with the openSUSE
  distribution. It has been prepended with 'ksm-'.

* Wed Jan 27 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.0.3.ksm
- The docu has changed.

* Fri Jan 15 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.0.2.ksm
- The package name (Release) has changed.

* Thu Nov 19 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.ksm.0.1
- The RPM scriptlets are corrected.

* Mon Oct 26 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0
- The Package management has changed to RPM.
